## zowe › cics › define › urimap-pipeline

Define a new URIMAP of type pipeline to CICS. This processes incoming HTTP(S) requests

#### Usage

zowe cics define urimap-pipeline <urimapName> <csdGroup> [options]

#### Positional Arguments

- `urimapName` (string)

  - The name of the URIMAP to create. The maximum length of the urimap name is eight characters.

- `csdGroup` (string)

  - The CICS system definition (CSD) Group for the new urimap that you want to define. The maximum length of the group name is eight characters.

#### Required Options

- `--urimap-path` | `--up` (string)

  - The path component of the URI.

- `--urimap-host` | `--uh` (string)

  - The host component of the URI.

- `--pipeline-name` | `--pn` (string)

  - The name of the PIPELINE resource definition for the URIMAP. The maximum length of the pipeline name is eight characters.

#### Options

- `--urimap-scheme` | `--us` (string)

  - The scheme component to be used with the request (http or https).

    Default value: https
    Allowed values: http, https

- `--description` | `--desc` (string)

  - Description of the URIMAP resource being defined.

- `--transaction-name` | `--tn` (string)

  - The name of the TRANSACTION resource definition for the URIMAP. The maximum length of the transaction name is four characters.

- `--webservice-name` | `--wn` (string)

  - The name of the WEBSERVICE resource definition for the URIMAP. The maximum length of the transaction name is 32 characters.

- `--tcpipservice` | `--tcpip` (string)

  - The TCPIPSERVICE to which the URIMAP definition applies.

- `--region-name` (string)

  - The CICS region name to which to define the new URIMAP.

- `--cics-plex` (string)

  - The name of the CICSPlex to which to define the new URIMAP.

- `--enable` (boolean)

  - Whether or not the URIMAP is to be enabled on install by default.

    Default value: true

#### Cics Connection Options

- `--host` | `-H` (string)

  - The CICS server host name.

- `--port` | `-P` (number)

  - The CICS server port.

    Default value: 443

- `--user` | `-u` (string)

  - Mainframe (CICS) user name, which can be the same as your TSO login.

- `--password` | `--pw` (string)

  - Mainframe (CICS) password, which can be the same as your TSO password.

- `--reject-unauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--protocol` | `-o` (string)

  - Specifies CMCI protocol (http or https).

    Default value: https
    Allowed values: http, https

#### Profile Options

- `--cics-profile` | `--cics-p` (string)

  - The name of a (cics) profile to load for this command execution.

- `--base-profile` | `--base-p` (string)

  - The name of a (base) profile to load for this command execution.

#### Base Connection Options

- `--token-type` | `--tt` (string)

  - The type of token to get and use for the API. Omit this option to use the default token type, which is provided by 'zowe auth login'.

- `--token-value` | `--tv` (string)

  - The value of the token to pass to the API.

- `--cert-file` (local file path)

  - The file path to a certificate file to use for authentication.

    Note: The CLI does not support certificate files that require a password. For more information, search Troubleshooting PEM Certificates in Zowe Docs.

- `--cert-key-file` (local file path)

  - The file path to a certificate key file to use for authentication

#### Examples

- Define a URIMAP named URIMAPA for the pipeline named PIPE123 to the region named MYREGION in the CSD group MYGRP where the host is www.example.com and the path is /example/index.html:

  - `zowe cics define urimap-pipeline URIMAPA MYGRP --urimap-path /example/index.html --urimap-host www.example.com --pipeline-name PIPE123 --region-name MYREGION`